////////////////////////////////////////////////////////////////////////////////
#if proc==877
  #include <16F877.h>
#endif
#if proc==876
  #include <16F876.h>
#endif
////////////////////////////////////////////////////////////////////////////////
#if debugme==1
  #device ICD=true
#endif
////////////////////////////////////////////////////////////////////////////////


#device adc=16
#use delay(clock=10000000,RESTART_WDT)
#use rs232(baud=19200,parity=N,xmit=PIN_C6,rcv=PIN_C7,bits=8)



////////////////////////////////////////////////////////////////////////////////
#if debugme==1
    #FUSES NOWDT        //No Watch Dog Timer
    #FUSES HS           //High speed Osc (> 4mhz)
    #FUSES PUT          //Power Up Timer
    #FUSES NOPROTECT    //Code not protected from reading
    #FUSES BROWNOUT     //Reset when brownout detected
    #FUSES NOLVP        //No low voltage prgming
    #FUSES NOCPD        //No EE protection
    #FUSES NOWRT        //Program memory not write protected
    #FUSES DEBUG        //Debug mode for use with ICD
#endif
#if debugme==0
    #FUSES WDT          //Watch Dog Timer
    #FUSES HS           //High speed Osc (> 4mhz)
    #FUSES PUT          //Power Up Timer
    #FUSES NOPROTECT    //Code not protected from reading
    #FUSES BROWNOUT     //Reset when brownout detected
    #FUSES NOLVP        //No low voltage prgming
    #FUSES NOCPD        //No EE protection
    #FUSES NOWRT        //Program memory not write protected
    #FUSES noDEBUG      //Debug mode for use with ICD
#endif
////////////////////////////////////////////////////////////////////////////////








